# Uses of Interface
org.astrogrid.samp.hub.HubProfile

Packages that use HubProfile
Package
Description
org.astrogrid.samp.hub
Classes required only for running a SAMP hub.
org.astrogrid.samp.web
Classes relating to the SAMP Web Profile.
org.astrogrid.samp.xmlrpc
Classes relating to Standard Profile and XML-RPC pluggable implementation layer.

## Uses of HubProfile in org.astrogrid.samp.hub

Subinterfaces of HubProfile in org.astrogrid.samp.hub
Modifier and Type
Interface
Description
`interface`
`ConfigHubProfile`
Marks a HubProfile that can also provide GUI-based configuration.
Methods in org.astrogrid.samp.hub that return HubProfile
Modifier and Type
Method
Description
`static HubProfile[]`
Hub.`createDefaultProfiles(boolean extra)`
Returns an array of default Hub Profiles.
`HubProfile`
HubProfileFactory.`createHubProfile(List flagList)`
Creates a HubProfile perhaps configured using a supplied list of flags.
`HubProfile[]`
Hub.`getRunningProfiles()`
Returns the hub profiles currently running on behalf of this hub.
Methods in org.astrogrid.samp.hub with parameters of type HubProfile
Modifier and Type
Method
Description
`static Hub`
Hub.`runHub(HubServiceMode hubMode, HubProfile[] profiles, HubProfile[] extraProfiles)`
Starts a SAMP hub with given sets of profiles.
`void`
Hub.`startProfile(HubProfile profile)`
Starts a profile running on behalf of this hub.
`void`
Hub.`stopProfile(HubProfile profile)`
Stops a profile running on behalf of this hub, and disconnects all clients registered with it.

## Uses of HubProfile in org.astrogrid.samp.web

Classes in org.astrogrid.samp.web that implement HubProfile
Modifier and Type
Class
Description
`class`
`WebHubProfile`
HubProfile implementation for Web Profile.
Methods in org.astrogrid.samp.web that return HubProfile
Modifier and Type
Method
Description
`HubProfile`
WebHubProfileFactory.`createHubProfile(List flagList)`

## Uses of HubProfile in org.astrogrid.samp.xmlrpc

Classes in org.astrogrid.samp.xmlrpc that implement HubProfile
Modifier and Type
Class
Description
`class`
`StandardHubProfile`
HubProfile implementation for the SAMP Standard Profile.
Methods in org.astrogrid.samp.xmlrpc that return HubProfile
Modifier and Type
Method
Description
`HubProfile`
StandardHubProfileFactory.`createHubProfile(List flagList)`